## bashdb 5.2.0.21

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
# We use "remake" target comments
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = bashdb
SOURCEDIR     = .
BUILDDIR      = _build

# Put "help" first so that "make" without argument is like "make help".
#: Give sphinx build help
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help docs all

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%:
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

#: build HTML documentation; Set $O can be for $SPHINXOPTS
all docs: Makefile
	$(MAKE) html

## bashdb 4.0.0.4

=== debian/changelog ===
bashdb (4.0.0.4-1) unstable; urgency=low

  * New upstream.release (Closes: #564337).
  * debian/source/format: Switched to 3.0 (quilt) source format.
  * debian/control:
    - Updated debhelper version to 7.
    - Updated depends on bash to >= 4.0.
    - Added a depends on ${misc:Depends} to fix a lintian warning for proper
      use of debhelper 7.
    - Updated Standards-Version to 3.8.3.
    - Removed a dependency on dpatch as a part of switch to 3.0 quilt format.
  * debian/patches: Removed 00list and both old patches in dpatch format.
  * debian/watch: Modifed the regex to match the current versioning scheme.
  * debian/rules:
    - Added a rule to remove extraneous usr/share/info/dir.gz.
    - Added a rule to make usr/share/bashdb/getopts_long.sh executable.
    - Added a rule to install lintian overrides.
  * debian/prerm: Removed as info installation is now handled automatically.
  * debian/postinstall: Removed as info installation is now handled
    automatically.
  * debian/bashdb.lintian-overrides: updated overrides to not show a warning
    about /bin/echo interpreter and info/dir.gz and renamed file for use with
    dh_lintian.
  * debian/install: Removed lintian overrides file as we now handle it with
    dh_lintian.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 09 Jan 2010 21:08:39 -0600

bashdb (4.0.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_fdl.texi.dpatch and 02_gpl.texi.dpatch: remove the text
    of FDL and GPL licenses and add links to the /usr/share/common-licenses
    files.
  * debian/copyright: Removed the FDL license text and added correct copyright
    years.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 10 Feb 2009 10:13:00 -0700

bashdb (3.1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #477469).
  * debian/control:
    - Updated Standards-Version to 3.7.3.
    - Removed XS- from XS-Vcs-Svn and XS-Vcs-Browser.
  * debian/rules:
    - Call make correctly per lintian warning.
    - Move rules to binary-indep section from binary.
  * debian/copyright: Updated FSF postal address.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 23 Apr 2008 10:39:11 -0600

bashdb (3.1.0.8-3) unstable; urgency=low

  * debian/control: Changed arch to all (Closes: #455080).

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 04 Jan 2008 13:42:47 -0700

bashdb (3.1.0.8-2) unstable; urgency=low

  * Upload debian dir into the collab-maint svn repository.
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser headers.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 17 Apr 2007 10:20:45 -0600

bashdb (3.1.0.8-1) unstable; urgency=low

  * New upstream bugfix release on Jan 20th (Closes: #403305, #403306).
  * debian/patches: Updated 01_bashdb_texi.dpatch and added
    02_copyright_texi.dpatch. These patches are used because the documentation
    doesn't get generated correctly by texi2html and the upstream still hasn't
    incorporated my changes properly.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 21 Jan 2007 20:32:15 -0700

bashdb (3.1.0.7-1) unstable; urgency=low

  * New upstream bugfix release on Dec 10th.
  * Removed debian/patches/ 01_bashdb.texi.dpatch and
    02_copyright.texi.dpatch as the upstream incorporated them.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 10 Dec 2006 20:31:31 -0700

bashdb (3.1.0.6-2) unstable; urgency=low

  * debian/control: Add a dependency on emacsen-common to handle installation
    of emacs scripts properly.
  * debian/dirs: Create a usr/share/emacs/site-lisp/bashdb directory for
    installation of emacsen scripts (Closes: #399337).
  * debian/emacsen-install: Make the script more readable to myself with code
    from zenirc script.
  * debian/rules: fix the results of bashdb.el installation and
    byte-compilation by the upstream build system.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 20 Nov 2006 14:10:00 -0700

bashdb (3.1.0.6-1) unstable; urgency=low

  * Initial release (Closes: #396512).

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 27 Oct 2006 15:03:19 -0600

=== debian/control ===
Source: bashdb
Section: devel
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 7), texi2html
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/bashdb/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/bashdb/trunk/?op=log

Package: bashdb
Architecture: all
Depends: bash ( >= 4.0 ), emacsen-common, ${misc:Depends}
Description: BASH debugger
 This is a complete rewrite of the Korn Shell debugger from Bill Rosenblatt's
 `Learning the Korn Shell', published by O'Reilly and Associates (ISBN
 1-56592-054-6) with changes by Michael Loukides and Cigy Cyriac. However,
 this code now depends on a number of debugging support features that are
 neither part of the POSIX standard nor present are in many POSIX-like shells.
 Although you can just use bashdb to debug scripts written in BASH, it can
 also be used just as a front-end for learning more about programming in
 BASH. As an additional aid, the debugger can be used within the context of an
 existing script with its functions and variables that have already been
 initialized; fragments of the existing code can be experimented with by
 changing them inside the debugger.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
#	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp: config.status
	dh_testdir
	[ ! -f Makefile ] || $(MAKE)
	texi2html --ifinfo doc/bashdb.texi
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/bashdb.
	[ ! -f Makefile ] || $(MAKE) install DESTDIR=$(CURDIR)/debian/bashdb


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installemacsen
	dh_installinfo
	dh_installman
	dh_lintian
	dh_install
	chmod 755 debian/bashdb/usr/share/bashdb/getopts_long.sh
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	rm -f debian/bashdb/usr/share/emacs/site-lisp/*elc
#	mv debian/bashdb/usr/share/emacs/site-lisp/*el \
	    debian/bashdb/usr/share/emacs/site-lisp/bashdb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# We have nothing to do by default.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bashdb 4.2.0.6

=== debian/changelog ===
bashdb (4.2.0.6-3) unstable; urgency=low

  * Force removal of /usr/share/info/dir.gz to avoid triggering the
    install-info dir.gz bug (Closes: #614762).

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 23 Feb 2011 08:36:35 -0600

bashdb (4.2.0.6-2) unstable; urgency=low

  * Fix a typo in changelog
  * Remove emacs support files as upstream moved bashdb emacs integration to
    emacs-dbgr (Closes: #614561).

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 22 Feb 2011 09:29:30 -0600

bashdb (4.2.0.6-1) unstable; urgency=low

  * New upstream release (Closes: #565985, #577115).
  * debian/control:
    - Switched the RCS from svn to git in collab-maint project on alioth.
    - Move emacsen-common from depends to suggests (as in Ubuntu #301852).
    - Updated standards-version to 3.9.1.
  * debian/copyright: Switched to DEP5 format.
  * debian/install: Removed as it's not needed right now.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Feb 2011 17:07:09 -0600

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Oleksandr Moskalenko <malex@debian.org>
 Build-Depends: debhelper (>= 7), texi2html
-Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/bashdb/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/bashdb/trunk/?op=log
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/collab-maint/bashdb.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/bashdb.git
 
 Package: bashdb
 Architecture: all
-Depends: bash ( >= 4.0 ), emacsen-common, ${misc:Depends}
+Depends: bash ( >= 4.0 ), ${misc:Depends}
 Description: BASH debugger
  This is a complete rewrite of the Korn Shell debugger from Bill Rosenblatt's
  `Learning the Korn Shell', published by O'Reilly and Associates (ISBN

=== debian/rules ===
--- 
+++ 
@@ -58,21 +58,17 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	dh_installemacsen
 	dh_installinfo
 	dh_installman
 	dh_lintian
 	dh_install
-	chmod 755 debian/bashdb/usr/share/bashdb/getopts_long.sh
+	chmod 755 $(CURDIR)/debian/bashdb/usr/share/bashdb/getopts_long.sh
+	rm -f $(CURDIR)/debian/bashdb/usr/share/info/dir
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-#	rm -f debian/bashdb/usr/share/emacs/site-lisp/*elc
-#	mv debian/bashdb/usr/share/emacs/site-lisp/*el \
-	    debian/bashdb/usr/share/emacs/site-lisp/bashdb
-#	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## bashdb 4.2.0.8

=== debian/changelog ===
bashdb (4.2.0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add texinfo to Build-Depends.
    This fix FTBFS due to "/bin/bash: line 9: makeinfo: command not found".
    Thanks to Angel Abad and Martin Eberhard Schauer (Closes: #652246)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jan 2012 16:05:33 +0100

bashdb (4.2.0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control: 
    - Updated standards version to 3.9.2.
    - Added a dependency on python to accommodate the syntax highlighter.
  * debian/rules: Added required build targets.
  * debian/bashdb.lintian-overrides: Updated overrides.
  * debian/patches/config_guess_sub: Patched config files with up-to-date
    Debian versions.
  * debian/clean: Added a list of autogenerated files to clean.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 28 Nov 2011 11:44:28 -0600

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Oleksandr Moskalenko <malex@debian.org>
-Build-Depends: debhelper (>= 7), texi2html
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), texi2html, texinfo
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/bashdb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bashdb.git
 
 Package: bashdb
 Architecture: all
-Depends: bash ( >= 4.0 ), ${misc:Depends}
+Depends: bash ( >= 4.0 ), python, ${misc:Depends}
 Description: BASH debugger
  This is a complete rewrite of the Korn Shell debugger from Bill Rosenblatt's
  `Learning the Korn Shell', published by O'Reilly and Associates (ISBN

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 
 build: build-stamp
 
+build-arch: build
+build-indep: build
+
 build-stamp: config.status
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE)
@@ -31,8 +34,9 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+	rm -f doc/pod2htmd.tmp doc/pod2htmi.tmp
 
-	# Add here commands to clean up after the build process.
+#	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub

=== debian/watch ===
version=3

http://sf.net/bashdb/bashdb-([0-9.]*)-([0-9.]*)\.tar\.gz

## bashdb 4.3.0.91+ds

=== debian/changelog ===
bashdb (4.3.0.91+ds-4) unstable; urgency=low

  * Trap SIGXFSZ in test-sig so the test is reproducible (Closes: #801372)
  * Add patch to man page to correct spelling mistake
  * Add lintian override for debian-watch-may-check-gpg-signature
  * Add #include statements in set0.c to ensure explicit declaration
  * Workarounds for building on non-linux (Closes: #801402)
    - Restrict building builtins to linux as the enable command fails.
    - Add patch to exclude SIGSYS from test-sig data
  * Override dh_python2 rule to remove unncessary dependencies
  * Registered the package with doc-base

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 10 Oct 2015 08:43:27 +0100

bashdb (4.3.0.91+ds-3) unstable; urgency=medium

  * Enable builtins to allow command completion and 'print $0'
    - add bash_builtins build-dependency and tell configure location of headers
    - add libreadline-dev as a build-dependency and apply readline.patch
    - move readc and set0 to /usr/lib/bashdb and take symbolic link back
    - change architecture from all to any
  * Run tests verbosely to facilitate debugging of FTBS

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 08 Oct 2015 21:26:59 +0100

bashdb (4.3.0.91+ds-2) unstable; urgency=low

  * Further corrections to debian/copyright, e.g. builtin/readc.c
  * Rewrote the package description to be more concise and relevant
  * Updated the VCS fields to keep DDPO happy
  * Apply patches to fix semi-reproducible FTBS (Closes: #801175)
    - check_exit_status.patch: ensure we capture non-graceful exits in test
    - test-sig.patch: don't send commands that will upset the debugger
    - introduce dependency on bash 4.3 as we have only updated test data for 4.3

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 07 Oct 2015 14:24:20 +0100

bashdb (4.3.0.91+ds-1) unstable; urgency=low

  * New upstream release (Closes: #752724)
  * Removed documentation patches (Closes: #712367)
  * Add myself to Uploaders
  * Modernised debian/rules
  * Updated debian/copyright
  * Removed upstream cruft (hence +ds in version number)
  * Added Homepage field to debian/control
  * Updated Standards Version to 3.9.6
  * Added rule for upstream changelog
  * Updated and commented lintian overrides
  * Updated debhelper version to 9
  * Removed bash dependencies as superfluous (4.1-4.3 are supported)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 04 Oct 2015 17:51:41 +0100

=== debian/control ===
Source: bashdb
Section: devel
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>
Build-Depends: debhelper (>= 9), dh-python, python, texinfo, quilt, bash (>=4.3),
 libreadline-dev [linux-any], bash-builtins [linux-any]
Standards-Version: 3.9.6
Homepage: http://bashdb.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/bashdb.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bashdb.git

Package: bashdb
Architecture: any
Depends: bash (>=4.3), ${misc:Depends}, python, ${shlibs:Depends}
Description: BASH debugger
 A debgger for bash (the Bourne again shell). As with any debugger it allows
 you to set through a bash script, examine data, set break points and run the
 program to that point, change variable values and so on.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
ARCH_OS	= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
EXTRA_SUBSTVARS =

CONFIG_OPTS = --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
ifeq ($(ARCH_OS),linux)
	CONFIG_OPTS +=  --with-bash-src=/usr/include/bash/
else
	EXTRA_SUBSTVARS += -Vshlibs:Depends=
endif

%:
	dh $@ --with python2,quilt

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_OPTS)

override_dh_installdocs:
	makeinfo --html --output=doc/bashdb.html doc/bashdb.texi
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install
ifeq ($(ARCH_OS),linux)
	rm -rf $(TMP)/usr/share/bashdb/builtin
endif

override_dh_auto_test:
	VERBOSE=1 dh_auto_test

override_dh_gencontrol:
	dh_gencontrol -- $(EXTRA_SUBSTVARS)

override_dh_python2:
	dh_python2 -- --no-guessing-versions --Xbashdb

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$// \
http://sf.net/bashdb/bashdb-([0-9.]*)-([0-9.]*)\.tar\.gz \
	debian sh debian/repack.stub

## bashdb 5.2.0.21

=== debian/changelog ===
bashdb (5.2.0.21-0deepin1) unstable; urgency=medium

  * New upstream version

 -- xiangzelong <xiangzelong@deepin.org>  Wed, 19 Jun 2024 16:36:37 +0800

=== debian/control ===
Source: bashdb
Section: devel
Priority: optional
Maintainer: xiangzelong <xiangzelong@deepin.org>
Uploaders: xiangzelong <xiangzelong@deepin.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3, texinfo, quilt, bash (>=5.2),
 libreadline-dev [linux-any], bash-builtins [linux-any]
Standards-Version: 4.6.0
Homepage: http://bashdb.sourceforge.net/
Vcs-Git: https://github.com/deepin-community/bashdb
Vcs-Browser: https://github.com/rocky/bashdb.git

Package: bashdb
Architecture: any
Depends: bash (>=5.2), ${misc:Depends}, python3
Description: BASH debugger
 A debgger for bash (the Bourne again shell). As with any debugger it allows
 you to set through a bash script, examine data, set break points and run the
 program to that point, change variable values and so on.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with python2,quilt
+	dh $@ 
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG_OPTS)
@@ -21,9 +21,6 @@
 override_dh_installdocs:
 	makeinfo --html --output=doc/bashdb.html doc/bashdb.texi
 	dh_installdocs
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
 
 override_dh_auto_install:
 	dh_auto_install
@@ -36,6 +33,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(EXTRA_SUBSTVARS)
-
-override_dh_python2:
-	dh_python2 -- --no-guessing-versions --Xbashdb
